Bug 114568 - [NEW PORT] www/rubygem-haml: Markup language to describe XHTML
Summary: [NEW PORT] www/rubygem-haml: Markup language to describe XHTML
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-13 23:10 UTC by Robert Gogolok
Modified: 2007-07-15 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gogolok 2007-07-13 23:10:01 UTC
Port of haml

WWW: http://haml.hamptoncatlin.com/

Fix: 

The port is available from:
http://w5.cs.uni-sb.de/~gogo/patches/new-ports/www/rubygem-haml/
Comment 1 Martin Wilke freebsd_committer 2007-07-14 23:56:33 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 2 dfilter service freebsd_committer 2007-07-14 23:56:49 UTC
miwi        2007-07-14 22:56:44 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/rubygem-haml     Makefile distinfo pkg-descr pkg-plist 
  Log:
  Haml is a markup language that's used to cleanly and simply describe the XHTML
  of any web document without the use of inline code. Haml functions as a
  replacement for inline page templating systems such as PHP, ASP, and ERB, the
  templating language used in most Ruby on Rails applications.
  However, Haml avoids the need for explicitly coding XHTML into the template,
  because it itself is a description of the XHTML, with some code to generate
  dynamic content.
  
  WWW: http://haml.hamptoncatlin.com/
  
  PR:             ports/114568
  Submitted by:   Robert Gogolok <gogo at cs.uni-sb.de>
  
  Revision  Changes    Path
  1.1863    +1 -0      ports/www/Makefile
  1.1       +18 -0     ports/www/rubygem-haml/Makefile (new)
  1.1       +3 -0      ports/www/rubygem-haml/distinfo (new)
  1.1       +9 -0      ports/www/rubygem-haml/pkg-descr (new)
  1.1       +173 -0    ports/www/rubygem-haml/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"